Bug 69481 - Changes to mirror.ac.uk mirror
Changes to mirror.ac.uk mirror
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lesi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 13:30 UTC by Tim Bishop
Modified: 2004-08-27 09:00 UTC (History)
1 user (show)

See Also:


Attachments
mirror.ac.uk.diff (24.18 KB, patch)
2004-07-23 13:30 UTC, Tim Bishop
no flags Details | Diff
bsd.sites.mk.diff (5.89 KB, patch)
2004-08-04 20:28 UTC, dejan.lesjak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Bishop freebsd_committer 2004-07-23 13:30:25 UTC
	As of 1 August the mirror.ac.uk service will cease to exist
	in it's current form. The new people managing it will be
	running with a different namespace, so we can guarantee all
	ports that use it will break. They're also going to be
	mirroring a smaller set of mirrors.

	The sensible option for now seems to be to remove all links
	to it and allow maintainers to update their ports with a
	new URL if their package is mirrored by the new service in
	the coming months.

Fix: The patch below removes mirror.ac.uk across the ports tree,
	including bsd.sites.mk.
Comment 1 vs freebsd_committer 2004-07-26 13:15:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eik

Please pass this round (there're at least ports by eik,ache,gnome and glewis left). 
Feel free to assign this back to me once only the non-FreeBSD.org-maintainers 
are left or simply pass it and I'll wrap up *all* that's left. 

Done so far: All Haskell-stuff, ports mainainerd by ports@
Comment 2 Tim Bishop freebsd_committer 2004-08-01 11:49:56 UTC
As of a few minutes ago mirror.ac.uk changed hands. The new service
won't be available for at least a week their site says, so any ports not
patched as suggested in this PR will be broken.

I can submit an updated PR if it would help?

Tim.

-- 
Tim Bishop
http://www.bishnet.net/tim
PGP Key: 0x5AE7D984
Comment 3 T.D.Bishop 2004-08-01 14:26:23 UTC
Here is the latest patch:

Index: Mk/bsd.sites.mk
===================================================================
RCS file: /u1/freebsd/cvs/ports/Mk/bsd.sites.mk,v
retrieving revision 1.254
diff -u -r1.254 bsd.sites.mk
--- Mk/bsd.sites.mk	19 Jul 2004 13:53:49 -0000	1.254
+++ Mk/bsd.sites.mk	22 Jul 2004 16:03:06 -0000
@@ -187,7 +187,6 @@
 	ftp://ftp.is.co.za/networking/mail/mta/exim/%SUBDIR%/ \
 	ftp://ftp.reaper.org/pub/exim/%SUBDIR%/ \
 	ftp://sunsite.cnlab-switch.ch/mirror/exim/%SUBDIR%/ \
-	http://www.mirror.ac.uk/sites/ftp.csx.cam.ac.uk/pub/software/email/exim/%SUBDIR%/ \
 	ftp://ftp.demon.co.uk/pub/mirrors/exim/%SUBDIR%/ \
 	http://www.us.exim.org/ftp/%SUBDIR%/ \
 	http://exim.stanford.edu/ftp/pub/exim/%SUBDIR%/ \
@@ -261,7 +260,6 @@
 	ftp://ftp.task.gda.pl/pub/gnu/gcc/%SUBDIR%/ \
 	ftp://sunsite.icm.edu.pl/pub/gnu/gcc/%SUBDIR%/ \
 	ftp://ftp.nctu.edu.tw/computer-languages/C/gcc/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/sources.redhat.com/pub/gcc/%SUBDIR%/ \
 	ftp://ftp.softaplic.com.br/pub/sourceware/gcc/%SUBDIR%/ \
 	ftp://linux.ihep.su/pub/cygnus/egcs/%SUBDIR%/ \
 	ftp://ftp.ntua.gr/pub/gnu/gcc/%SUBDIR%/ \
@@ -281,7 +279,6 @@
 	http://gentoo.ccccom.com/%SUBDIR%/ \
 	http://oss.redundant.com/pub/gentoo/%SUBDIR%/ \
 	http://mirrors.tds.net/gentoo/%SUBDIR%/ \
-	http://www.mirror.ac.uk/sites/www.ibiblio.org/gentoo/%SUBDIR%/ \
 	http://ftp.gentoo.skynet.be/pub/gentoo/%SUBDIR%/ \
 	http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/%SUBDIR%/ \
 	http://ftp.easynet.nl/mirror/gentoo/%SUBDIR%/ \
@@ -349,7 +346,6 @@
 	ftp://gentoo.kems.net/pub/mirrors/gentoo/%SUBDIR%/
 
 MASTER_SITE_GNOME+=	\
-	ftp://ftp.mirror.ac.uk/sites/ftp.gnome.org/pub/GNOME/%SUBDIR%/ \
 	http://ftp.linux.org.uk/mirrors/ftp.gnome.org/%SUBDIR%/ \
 	http://www.gtlib.cc.gatech.edu/pub/gnome/%SUBDIR%/ \
 	http://public.planetmirror.com/pub/gnome/%SUBDIR%/ \
@@ -383,7 +379,6 @@
 	ftp://ftp.kddlabs.co.jp/GNU/%SUBDIR%/ \
 	ftp://ftp.dti.ad.jp/pub/GNU/%SUBDIR%/ \
 	${MASTER_SITE_RINGSERVER:S,%SUBDIR%,GNU/&,} \
-	ftp://ftp.mirror.ac.uk/sites/ftp.gnu.org/gnu/%SUBDIR%/ \
 	ftp://ftp.sunsite.org.uk/package/gnu/%SUBDIR%/ \
 	ftp://ftp.informatik.hu-berlin.de/pub/gnu/%SUBDIR%/ \
 	ftp://ftp.informatik.rwth-aachen.de/pub/mirror/ftp.gnu.org/pub/gnu/%SUBDIR%/ \
@@ -403,7 +398,6 @@
 	ftp://ftp.jyu.fi/pub/crypt/gcrypt/%SUBDIR%/ \
 	ftp://ftp.freenet.de/pub/ftp.gnupg.org/gcrypt/%SUBDIR%/ \
 	ftp://ftp.surfnet.nl/pub/security/gnupg/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.gnupg.org/gcrypt/%SUBDIR%/ \
 	ftp://sunsite.cnlab-switch.ch/mirror/gcrypt/%SUBDIR%/ \
 	ftp://ftp.iasi.roedu.net/pub/mirrors/ftp.gnupg.org/%SUBDIR%/ \
 	${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/gnupg/&,} \
@@ -432,7 +426,6 @@
 	ftp://ftp.linux.lv/pub/software/isc/%SUBDIR%/ \
 	ftp://ftp.task.gda.pl/mirror/ftp.isc.org/isc/%SUBDIR%/ \
 	ftp://ftp.sunet.se/pub/network/isc/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.isc.org/isc/%SUBDIR%/ \
 	ftp://ftp.epix.net/pub/isc/%SUBDIR%/ \
 	ftp://ftp.nominum.com/pub/isc/%SUBDIR%/ \
 	ftp://ftp.nerdc.ufl.edu/pub/mirrors/ftp.isc.org/isc/%SUBDIR%/ \
@@ -500,7 +493,6 @@
 	ftp://ftp.uni-bielefeld.de/pub/netscape/%SUBDIR%/ \
 	ftp://ftp.uniovi.es/pub/netscape/%SUBDIR%/ \
 	ftp://sunsite.cnlab-switch.ch/mirror/netscape/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.netscape.com/pub/%SUBDIR%/ \
 	ftp://ftp.ntua.gr/pub/www/Netscape/%SUBDIR%/ \
 	ftp://ftp.fct.unl.pt/pub/Netscape/%SUBDIR%/ \
 	ftp://sunsite.tut.fi/pub/Mirror/mirrorsite.netscape.com/pub/%SUBDIR%/ \
@@ -541,7 +533,6 @@
 	ftp://ftp.sunet.se/pub/lang/perl/CPAN/modules/by-module/%SUBDIR%/ \
 	ftp://mirror.hiwaay.net/CPAN/modules/by-module/%SUBDIR%/ \
 	ftp://ftp.bora.net/pub/CPAN/modules/by-module/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/%SUBDIR%/ \
 	ftp://bioinfo.weizmann.ac.il/pub/software/perl/CPAN/modules/by-module/%SUBDIR%/ \
 	ftp://csociety-ftp.ecn.purdue.edu/pub/CPAN/modules/by-module/%SUBDIR%/ \
 	ftp://ftp.isu.net.sa/pub/CPAN/modules/by-module/%SUBDIR%/ \
@@ -645,7 +636,6 @@
 	http://python.holywar.net/%SUBDIR%/ \
 	http://python.unam.mx/%SUBDIR%/ \
 	http://python.cdpa.nsysu.edu.tw/%SUBDIR%/ \
-	http://www.mirror.ac.uk/sites/ftp.python.org/pub/www.python.org/%SUBDIR%/ \
 	http://python.mirrors.pair.com/%SUBDIR%/ \
 	http://mirrors.ccs.neu.edu/Python/pub/www.python.org/%SUBDIR%/ \
 	http://shattered.teched.net/www.python.org/%SUBDIR%/
@@ -664,7 +654,6 @@
 	ftp://ftp.inet.it/pub/Linux/redhat/%SUBDIR%/ \
 	ftp://ftp.nluug.nl/site/ftp.redhat.com/redhat/linux/%SUBDIR%/ \
 	ftp://ftp.icm.edu.pl/vol/rzm9/linux-redhat/linux/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.redhat.com/pub/redhat/linux/%SUBDIR%/ \
      ftp://ftp.cs.nott.ac.uk/Mirrors/ftp.redhat.com/pub/redhat/linux/%SUBDIR%/ \
 	ftp://ftp.carrier.kiev.ua/pub/Linux/RedHat/redhat/linux/%SUBDIR%/ \
 	ftp://ftp.kobe-u.ac.jp/pub/Linux/packages/RedHat/redhat/linux/%SUBDIR%/\
@@ -788,7 +777,6 @@
 	ftp://ftp.funet.fi/pub/languages/tcl/tcl/%SUBDIR%/ \
 	ftp://ftp.kddlabs.co.jp/lang/tcl/ftp.scriptics.com/%SUBDIR%/ \
 	ftp://ftp.srcc.msu.su/mirror/ftp.scriptics.com/pub/tcl/%SUBDIR%/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.scriptics.com/pub/tcl/%SUBDIR%/ \
 	ftp://gd.tuwien.ac.at/languages/tcl/scriptics/%SUBDIR%/ \
 	ftp://sunsite.org.uk/Mirrors/ftp.scriptics.com/pub/tcl/%SUBDIR%/
 
@@ -812,7 +800,6 @@
 	ftp://ftp.vim.org/pub/vim/unix/  \
 	ftp://ftp.is.co.za/applications/editors/vim/unix/  \
 	ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/unix/  \
-	ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/unix/ \
 	ftp://ftp.jp.vim.org/pub/vim/unix/
 
 MASTER_SITE_WINDOWMAKER+= \
@@ -840,7 +827,6 @@
 	ftp://gd.tuwien.ac.at/hci/x.org/contrib/%SUBDIR%/ \
 	ftp://ftp.sunet.se/pub/X11/contrib/%SUBDIR%/ \
 	${MASTER_SITE_RINGSERVER:S,%SUBDIR%,X/opengroup/contrib/&,} \
-	ftp://ftp.mirror.ac.uk/sites/ftp.x.org/contrib/%SUBDIR%/ \
 	ftp://ftp.dl.ac.uk/src/X/contrib/%SUBDIR%/ \
 	ftp://sunsite.org.uk/sites/ftp.x.org/contrib/%SUBDIR%/ \
 	ftp://ftp.chg.ru/pub/X11/contrib/%SUBDIR%/
Index: archivers/rpm4/Makefile
===================================================================
RCS file: /u1/freebsd/cvs/ports/archivers/rpm4/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- archivers/rpm4/Makefile	9 Jun 2004 21:07:42 -0000	1.8
+++ archivers/rpm4/Makefile	22 Jul 2004 16:08:20 -0000
@@ -8,8 +8,7 @@
 PORTVERSION=	4.0.4
 PORTREVISION=	2
 CATEGORIES=	archivers
-MASTER_SITES=	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/ \
-		ftp://ftp.mirror.ac.uk/sites/ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/
+MASTER_SITES=	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/
 
 MAINTAINER=	glewis@FreeBSD.org
 COMMENT=	The RPM Package Manager
Index: devel/popt/Makefile
===================================================================
RCS file: /u1/freebsd/cvs/ports/devel/popt/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- devel/popt/Makefile	9 Jul 2004 17:42:19 -0000	1.25
+++ devel/popt/Makefile	22 Jul 2004 16:10:32 -0000
@@ -8,8 +8,7 @@
 PORTNAME=	popt
 PORTVERSION=	1.7
 CATEGORIES=	devel
-MASTER_SITES=	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/ \
-		ftp://ftp.mirror.ac.uk/sites/ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/
+MASTER_SITES=	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/
 
 MAINTAINER=	eik@FreeBSD.org
 COMMENT=	A getopt(3) like library with a number of enhancements, from Redhat
Index: graphics/linux-libmng/Makefile
===================================================================
RCS file: /u1/freebsd/cvs/ports/graphics/linux-libmng/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- graphics/linux-libmng/Makefile	2 Jun 2004 09:32:19 -0000	1.2
+++ graphics/linux-libmng/Makefile	22 Jul 2004 16:13:22 -0000
@@ -35,8 +35,7 @@
 LANG?=		en
 RPM_MIRRORS=	\
 	ftp://ftp.redhat.com/pub/redhat/__DIR__/ \
-	ftp://ftp.nluug.nl/site/ftp.redhat.com/redhat/__DIR__/ \
-	ftp://ftp.mirror.ac.uk/sites/ftp.redhat.com/pub/redhat/__DIR__/
+	ftp://ftp.nluug.nl/site/ftp.redhat.com/redhat/__DIR__/
 STDDIR=		linux/${BASEVERSION}/${LANG}/os/${MACHINE_ARCH}/RedHat/RPMS
 UPDDIR=		linux/updates/${BASEVERSION}/${LANG}/os/${MACHINE_ARCH}
 DBPATH=		/var/lib/rpm
Index: mail/procmail/Makefile
===================================================================
RCS file: /u1/freebsd/cvs/ports/mail/procmail/Makefile,v
retrieving revision 1.47
diff -u -r1.47 Makefile
--- mail/procmail/Makefile	30 Dec 2003 09:37:35 -0000	1.47
+++ mail/procmail/Makefile	22 Jul 2004 16:14:00 -0000
@@ -27,8 +27,7 @@
 		ftp://sunsite.cnlab-switch.ch/mirror/procmail/ \
 		ftp://ftp.gigabell.net/pub/procmail/ \
 		ftp://ftp.linja.net/pub/mirrors/procmail/ \
-		ftp://ftp.stealth.net/pub/mirrors/ftp.procmail.org/pub/procmail/ \
-		ftp://ftp.mirror.ac.uk/sites/ftp.procmail.org/pub/procmail/
+		ftp://ftp.stealth.net/pub/mirrors/ftp.procmail.org/pub/procmail/
 
 MAINTAINER=	ache@FreeBSD.org
 COMMENT=	A local mail delivery agent
Index: x11/chameleon/Makefile
===================================================================
RCS file: /u1/freebsd/cvs/ports/x11/chameleon/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- x11/chameleon/Makefile	4 Feb 2004 05:09:38 -0000	1.2
+++ x11/chameleon/Makefile	22 Jul 2004 16:15:07 -0000
@@ -11,7 +11,6 @@
 CATEGORIES=	x11
 MASTER_SITES=	http://ftp.us.debian.org/debian/pool/main/c/chameleon/ \
 		ftp://carroll.aset.psu.edu/pub/linux/distributions/debian/pool/main/c/chameleon/ \
-		http://www.mirror.ac.uk/sites/ftp.debian.org/debian/pool/main/c/chameleon/ \
 		ftp://ftp.debian.org/debian/pool/main/c/chameleon/
 PKGNAMEPREFIX=	x11-
 DISTNAME=	chameleon_${PORTVERSION}.orig
Index: x11-toolkits/gtk20/Makefile
===================================================================
RCS file: /u1/freebsd/cvs/ports/x11-toolkits/gtk20/Makefile,v
retrieving revision 1.130
diff -u -r1.130 Makefile
--- x11-toolkits/gtk20/Makefile	10 Jul 2004 09:20:06 -0000	1.130
+++ x11-toolkits/gtk20/Makefile	22 Jul 2004 16:14:56 -0000
@@ -13,7 +13,6 @@
 		ftp://ftp.gimp.org/pub/%SUBDIR%/ \
 		ftp://ftp.cs.umn.edu/pub/gimp/%SUBDIR%/ \
 		http://www.ameth.org/gimp/%SUBDIR%/ \
-		ftp://ftp.mirror.ac.uk/sites/ftp.gimp.org/pub/%SUBDIR%/ \
 		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,graphics/gimp/%SUBDIR%,}
 MASTER_SITE_SUBDIR=	gtk/v${PORTVERSION:R}
 DISTNAME=	gtk+-${PORTVERSION}
Comment 4 eik freebsd_committer 2004-08-02 12:20:19 UTC
Responsible Changed
From-To: eik->vs

Sorry, I didn't realize this has been assigned to me. 

Feel free to remove the site from my ports when you feel 
up to it, otherwise I'll wait until they are up again 
(in a week, when I can trust their web site) and see what 
still works and what not.
Comment 5 dejan.lesjak 2004-08-04 20:28:20 UTC
Hello,
It would appear that mirror, formerly known as ftp.mirror.ac.uk, changed name 
to ftp.mirrorservice.org and intends to keep operating: 
http://www.mirrorservice.org/
If it would make sense to bring it back with new name in bsd.sites.mk, here is 
a patch that does that. Also the diff that shows changes to previous URLs is 
here:
http://www.ijs.si/software/stuff/freebsd/namechange.diff
Only the MASTER_SITE_TCLTK has changed in directory and I also changed some 
entries from http to ftp.
Comment 6 Tim Bishop freebsd_committer 2004-08-04 21:04:52 UTC
On Wed, 2004-08-04 at 20:28, Dejan Lesjak wrote:
> Hello,
> It would appear that mirror, formerly known as ftp.mirror.ac.uk, changed name 
> to ftp.mirrorservice.org and intends to keep operating: 
> http://www.mirrorservice.org/
> If it would make sense to bring it back with new name in bsd.sites.mk, here is 
> a patch that does that. Also the diff that shows changes to previous URLs is 
> here:
> http://www.ijs.si/software/stuff/freebsd/namechange.diff
> Only the MASTER_SITE_TCLTK has changed in directory and I also changed some 
> entries from http to ftp.


I had originally planned to do this, but at the time we weren't going to
continue operating a public mirror. It's only in this last week that
we've got the go ahead to run a public mirror service.

So I'm all for this change.

Cheers,
Tim.

-- 
Tim Bishop
http://www.bishnet.net/tim
PGP Key: 0x5AE7D984
Comment 7 vs freebsd_committer 2004-08-25 13:37:19 UTC
State Changed
From-To: open->patched

All ports and bsd.sites.mk have been patched: 
s/mirror.ac.uk/mirrorservice.org/ 


Comment 8 vs freebsd_committer 2004-08-25 13:37:19 UTC
Responsible Changed
From-To: vs->lesi

Dejan suggested further improvements and is now a committer.
Comment 9 lesi freebsd_committer 2004-08-27 08:57:58 UTC
State Changed
From-To: patched->closed

I have nothing further. Thanks mirrorservice.org for a great mirror!